<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content coverage">
                   <div class="content-data">














                   


<ol class="breadcrumb">
    <li>Documentation coverage</li>
</ol>

<div>
    <img src="./images/coverage-badge-documentation.svg">
</div>

<table class="table table-bordered coverage" id="coverage-table">
    <thead class="coverage-header">
        <tr>
            <th>File</th>
            <th>Type</th>
            <th>Identifier</th>
            <th style="text-align:right" class="statements" data-sort-default>Statements</th>
        </tr>
    </thead>
    <tbody>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#PlainBody">src/common/decorator/raw-body-decorator.ts</a>
            </td>
            <td>variable</td>
            <td>PlainBody</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/TypedEventEmitter.html">src/common/events/event-emitter.ts</a>
            </td>
            <td>class</td>
            <td>TypedEventEmitter</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/19)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#Saga">src/common/events/event-emitter.ts</a>
            </td>
            <td>function</td>
            <td>Saga</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/TypeRecord.html">src/common/events/strict-event-emitter.ts</a>
            </td>
            <td>interface</td>
            <td>TypeRecord</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#assignmentCompatibilityHack">src/common/events/strict-event-emitter.ts</a>
            </td>
            <td>variable</td>
            <td>assignmentCompatibilityHack</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FormDataMiddleware.html">src/common/middleware/form-data-middleware.ts</a>
            </td>
            <td>injectable</td>
            <td>FormDataMiddleware</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IPOJO.html">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>interface</td>
            <td>IPOJO</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IValuePair.html">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>interface</td>
            <td>IValuePair</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#mergeObjects">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>mergeObjects</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#objectToValuePairs">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>objectToValuePairs</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#pipe">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>pipe</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#removeUndefinedFromObject">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>removeUndefinedFromObject</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#renameObject">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>renameObject</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#valuePairsToObject">src/common/utility/pipe-utility.ts</a>
            </td>
            <td>variable</td>
            <td>valuePairsToObject</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IPOJO.html">src/common/utility/string-utility.ts</a>
            </td>
            <td>interface</td>
            <td>IPOJO</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#objectPropertiesToSnakeCase">src/common/utility/string-utility.ts</a>
            </td>
            <td>variable</td>
            <td>objectPropertiesToSnakeCase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#toKebabCase">src/common/utility/string-utility.ts</a>
            </td>
            <td>variable</td>
            <td>toKebabCase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#toSnakeCase">src/common/utility/string-utility.ts</a>
            </td>
            <td>variable</td>
            <td>toSnakeCase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/Firebase.html">src/database/firebase/database.ts</a>
            </td>
            <td>class</td>
            <td>Firebase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#serviceAccount">src/database/firebase/database.ts</a>
            </td>
            <td>variable</td>
            <td>serviceAccount</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="medium">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/MongoDatabaseHandle.html">src/database/mongodb/database.ts</a>
            </td>
            <td>class</td>
            <td>MongoDatabaseHandle</td>
            <td align="right" data-sort="30">
                <span class="coverage-percent">30 %</span>
                <span class="coverage-count">(4/13)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IDatabase.html">src/database/mongodb/database.ts</a>
            </td>
            <td>interface</td>
            <td>IDatabase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ITextIndexMap.html">src/database/mongodb/indexes.ts</a>
            </td>
            <td>interface</td>
            <td>ITextIndexMap</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IDatabaseModels.html">src/database/mongodb/models.ts</a>
            </td>
            <td>interface</td>
            <td>IDatabaseModels</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FormDataInterceptor.html">src/interceptors/form-data-interceptor.ts</a>
            </td>
            <td>injectable</td>
            <td>FormDataInterceptor</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#bootstrap">src/main.ts</a>
            </td>
            <td>function</td>
            <td>bootstrap</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#logger">src/main.ts</a>
            </td>
            <td>variable</td>
            <td>logger</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IFirestoreEntity.html">src/models/common/common.ts</a>
            </td>
            <td>interface</td>
            <td>IFirestoreEntity</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IMongoEntity.html">src/models/common/common.ts</a>
            </td>
            <td>interface</td>
            <td>IMongoEntity</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IMongoStringEntity.html">src/models/common/common.ts</a>
            </td>
            <td>interface</td>
            <td>IMongoStringEntity</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FormDataPipe.html">src/pipes/form-data-pipe.ts</a>
            </td>
            <td>injectable</td>
            <td>FormDataPipe</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/JoiGenericValidationPipe.html">src/pipes/joi-generic-validation-pipe.ts</a>
            </td>
            <td>injectable</td>
            <td>JoiGenericValidationPipe</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/JoiValidationPipe.html">src/pipes/joi-validation-pipe.ts</a>
            </td>
            <td>injectable</td>
            <td>JoiValidationPipe</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/AuthController.html">src/routes/auth/auth.controller.ts</a>
            </td>
            <td>controller</td>
            <td>AuthController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ILoginRequest.html">src/routes/auth/auth.controller.ts</a>
            </td>
            <td>interface</td>
            <td>ILoginRequest</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/INameCheck.html">src/routes/auth/auth.controller.ts</a>
            </td>
            <td>interface</td>
            <td>INameCheck</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ISocialAccountRequest.html">src/routes/auth/auth.controller.ts</a>
            </td>
            <td>interface</td>
            <td>ISocialAccountRequest</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/9)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ISocialRegisterRequest.html">src/routes/auth/auth.controller.ts</a>
            </td>
            <td>interface</td>
            <td>ISocialRegisterRequest</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/12)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/BusinessController.html">src/routes/business/business.controller.ts</a>
            </td>
            <td>controller</td>
            <td>BusinessController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IAuthPayload.html">src/routes/business/index.ts</a>
            </td>
            <td>interface</td>
            <td>IAuthPayload</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IBusinessRequestQuery.html">src/routes/business/index.ts</a>
            </td>
            <td>interface</td>
            <td>IBusinessRequestQuery</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateBusinessBody.html">src/routes/business/index.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateBusinessBody</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateBusinessPayload.html">src/routes/business/index.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateBusinessPayload</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/16)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IMunicipalityPayload.html">src/routes/business/index.ts</a>
            </td>
            <td>interface</td>
            <td>IMunicipalityPayload</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#activateBusinessSchema">src/routes/business/index.ts</a>
            </td>
            <td>variable</td>
            <td>activateBusinessSchema</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#businessRequestQuerySchema">src/routes/business/index.ts</a>
            </td>
            <td>variable</td>
            <td>businessRequestQuerySchema</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#createBusinessSchema">src/routes/business/index.ts</a>
            </td>
            <td>variable</td>
            <td>createBusinessSchema</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/NotificationController.html">src/routes/notification/notification.controller.ts</a>
            </td>
            <td>controller</td>
            <td>NotificationController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/NotificationGateway.html">src/routes/notification/notification.gateway.ts</a>
            </td>
            <td>controller</td>
            <td>NotificationGateway</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/SocialController.html">src/routes/social/social.controller.ts</a>
            </td>
            <td>controller</td>
            <td>SocialController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/INotificationAction.html">src/routes/socket/index.ts</a>
            </td>
            <td>interface</td>
            <td>INotificationAction</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ISocketAction.html">src/routes/socket/index.ts</a>
            </td>
            <td>interface</td>
            <td>ISocketAction</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ISocketBody.html">src/routes/socket/index.ts</a>
            </td>
            <td>interface</td>
            <td>ISocketBody</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/SocketGateway.html">src/routes/socket/socket.gateway.ts</a>
            </td>
            <td>class</td>
            <td>SocketGateway</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/UserController.html">src/routes/user/user.controller.ts</a>
            </td>
            <td>controller</td>
            <td>UserController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/INotificationCredentialsSchema.html">src/routes/user/user.controller.ts</a>
            </td>
            <td>interface</td>
            <td>INotificationCredentialsSchema</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#notificationCredentialsSchema">src/routes/user/user.controller.ts</a>
            </td>
            <td>variable</td>
            <td>notificationCredentialsSchema</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./controllers/WorldController.html">src/routes/world/world.controller.ts</a>
            </td>
            <td>controller</td>
            <td>WorldController</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/AuthService.html">src/services/auth/auth.service.ts</a>
            </td>
            <td>injectable</td>
            <td>AuthService</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/8)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#RoleAccess">src/services/auth/authorization/role-access.decorator.ts</a>
            </td>
            <td>variable</td>
            <td>RoleAccess</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./guards/RoleAccessGuard.html">src/services/auth/authorization/role-access.guard.ts</a>
            </td>
            <td>guard</td>
            <td>RoleAccessGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#Roles">src/services/auth/authorization/roles.decorator.ts</a>
            </td>
            <td>variable</td>
            <td>Roles</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./guards/RolesGuard.html">src/services/auth/authorization/roles.guard.ts</a>
            </td>
            <td>guard</td>
            <td>RolesGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/JwtAuthGuard.html">src/services/auth/jwt-auth.guard.ts</a>
            </td>
            <td>injectable</td>
            <td>JwtAuthGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/JwtStrategy.html">src/services/auth/jwt.strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>JwtStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/LocalAuthGuard.html">src/services/auth/local-auth.guard.ts</a>
            </td>
            <td>injectable</td>
            <td>LocalAuthGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/LocalStrategy.html">src/services/auth/local.strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>LocalStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookAdminStrategy.html">src/services/auth/social/facebook/facebook-admin-strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookAdminStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookAuthGuard.html">src/services/auth/social/facebook/facebook-auth.guard.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookAuthGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookAdminAuthGuard.html">src/services/auth/social/facebook/facebook-role-auth.guard.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookAdminAuthGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookRoleAuthGuard.html">src/services/auth/social/facebook/facebook-role-auth.guard.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookRoleAuthGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookRoleStrategy.html">src/services/auth/social/facebook/facebook-role-strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookRoleStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/FacebookStrategy.html">src/services/auth/social/facebook/facebook.strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>FacebookStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#validate">src/services/auth/social/facebook/validation.ts</a>
            </td>
            <td>variable</td>
            <td>validate</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/SocialAccountStrategy.html">src/services/auth/social/social-account-strategy.ts</a>
            </td>
            <td>injectable</td>
            <td>SocialAccountStrategy</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./guards/SocialAccountGuard.html">src/services/auth/social/social-account.guard.ts</a>
            </td>
            <td>guard</td>
            <td>SocialAccountGuard</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/10)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/AddCustomerIdToUserCommand.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>AddCustomerIdToUserCommand</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/AddCustomerIdToUserCommandHandler.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>AddCustomerIdToUserCommandHandler</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/AddSocialAccountToUserCommand.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>AddSocialAccountToUserCommand</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/AddSocialAccountToUserCommandHandler.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>AddSocialAccountToUserCommandHandler</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/CreateUserCommand.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>CreateUserCommand</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/16)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/CreateUserCommandHandler.html">src/services/users/commands/users.commands.ts</a>
            </td>
            <td>class</td>
            <td>CreateUserCommandHandler</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/AddSocialAccountToUserEvent.html">src/services/users/events/users.aggregate.ts</a>
            </td>
            <td>class</td>
            <td>AddSocialAccountToUserEvent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/4)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/CreateUserEvent.html">src/services/users/events/users.aggregate.ts</a>
            </td>
            <td>class</td>
            <td>CreateUserEvent</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/15)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/UserEventHandle.html">src/services/users/events/users.aggregate.ts</a>
            </td>
            <td>class</td>
            <td>UserEventHandle</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/INotificationCredential.html">src/services/users/models/index.ts</a>
            </td>
            <td>interface</td>
            <td>INotificationCredential</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IUserEntityBase.html">src/services/users/models/index.ts</a>
            </td>
            <td>interface</td>
            <td>IUserEntityBase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/20)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IUserEntityBaseArrayMap.html">src/services/users/models/index.ts</a>
            </td>
            <td>interface</td>
            <td>IUserEntityBaseArrayMap</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/5)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IUserFireEntity.html">src/services/users/models/index.ts</a>
            </td>
            <td>interface</td>
            <td>IUserFireEntity</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/IUserMongoEntity.html">src/services/users/models/index.ts</a>
            </td>
            <td>interface</td>
            <td>IUserMongoEntity</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ISocialAccount.html">src/services/users/models/social-account.ts</a>
            </td>
            <td>interface</td>
            <td>ISocialAccount</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/6)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/GetUserByIdQuery.html">src/services/users/queries/user.queries.ts</a>
            </td>
            <td>class</td>
            <td>GetUserByIdQuery</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/GetUserByIdQueryHandler.html">src/services/users/queries/user.queries.ts</a>
            </td>
            <td>class</td>
            <td>GetUserByIdQueryHandler</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/GetUsersByIdsQuery.html">src/services/users/queries/user.queries.ts</a>
            </td>
            <td>class</td>
            <td>GetUsersByIdsQuery</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./classes/GetUsersByIdsQueryHandler.html">src/services/users/queries/user.queries.ts</a>
            </td>
            <td>class</td>
            <td>GetUsersByIdsQueryHandler</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#authenticateUser">src/services/users/repositories/user-authentication.repository.ts</a>
            </td>
            <td>function</td>
            <td>authenticateUser</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#isUserAuthenticated">src/services/users/repositories/user-authentication.repository.ts</a>
            </td>
            <td>function</td>
            <td>isUserAuthenticated</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#logger">src/services/users/repositories/user-authentication.repository.ts</a>
            </td>
            <td>variable</td>
            <td>logger</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#_createUser">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>_createUser</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#addSocialAccountToUser">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>addSocialAccountToUser</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#checkIfUsernameExists">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>checkIfUsernameExists</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#createUserFire">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>createUserFire</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getPasswordById">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>getPasswordById</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getUserByDocument">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>getUserByDocument</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getUserByProp">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>getUserByProp</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getUserByUsername">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>getUserByUsername</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#parse">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>parse</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#updateFireUserByValuePairs">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>updateFireUserByValuePairs</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#updateUser">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>function</td>
            <td>updateUser</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#logger">src/services/users/repositories/user-firebase.repository.ts</a>
            </td>
            <td>variable</td>
            <td>logger</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="very-good">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#_createUser">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>_createUser</td>
            <td align="right" data-sort="100">
                <span class="coverage-percent">100 %</span>
                <span class="coverage-count">(1/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#addToNotificationCredentials">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>addToNotificationCredentials</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#checkIfUsernameExists">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>checkIfUsernameExists</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#createUserMongo">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>createUserMongo</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getMongoUserByProp">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>getMongoUserByProp</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getMongoUsersByIds">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>getMongoUsersByIds</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#getUserByUsername">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>getUserByUsername</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#updateMongoUserByValuePairs">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>updateMongoUserByValuePairs</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href=".//functions.html#updateUserElementInArray">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>function</td>
            <td>updateUserElementInArray</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#logger">src/services/users/repositories/user.repository.ts</a>
            </td>
            <td>variable</td>
            <td>logger</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/UserSagas.html">src/services/users/sagas/users.saga.ts</a>
            </td>
            <td>injectable</td>
            <td>UserSagas</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./injectables/UsersService.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>injectable</td>
            <td>UsersService</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/24)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateFireUserParams.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateFireUserParams</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateMongoUserParams.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateMongoUserParams</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateUserParams.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateUserParams</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/3)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/ICreateUserParamsBase.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>interface</td>
            <td>ICreateUserParamsBase</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/11)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./interfaces/INameCheck.html">src/services/users/services/users.service.ts</a>
            </td>
            <td>interface</td>
            <td>INameCheck</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/2)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#commandHandlers">src/services/users/users.module.ts</a>
            </td>
            <td>variable</td>
            <td>commandHandlers</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#eventHandlers">src/services/users/users.module.ts</a>
            </td>
            <td>variable</td>
            <td>eventHandlers</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
        <tr class="low">
            <td>
                <!-- miscellaneous -->
                <a href="./miscellaneous/variables.html#queryHandlers">src/services/users/users.module.ts</a>
            </td>
            <td>variable</td>
            <td>queryHandlers</td>
            <td align="right" data-sort="0">
                <span class="coverage-percent">0 %</span>
                <span class="coverage-count">(0/1)</span>
            </td>
        </tr>
    </tbody>
</table>

<script src="js/libs/tablesort.min.js"></script>
<script src="js/libs/tablesort.number.min.js"></script>
<script>
    new Tablesort(document.getElementById('coverage-table'));
</script>

                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'coverage';
            var COMPODOC_CURRENT_PAGE_URL = 'coverage.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
